use std::sync::{atomic::{AtomicU16, AtomicBool}, Arc};

#[derive(Clone)]
pub struct State {
    pub flashed: Arc<AtomicU16>,
    pub bomb_planted: Arc<AtomicBool>,
}

impl State {
    pub fn new() -> State {
        State {
            flashed: Arc::new(AtomicU16::new(0)),
            bomb_planted: Arc::new(AtomicBool::new(false)),
        }
    }
}